<?php

namespace loyalsoft;

/**
 * 任务类型枚举 用于任务进度对比,参数传递.
 */
class Enum_TaskCmdType extends Enum {

    const CommanderLevelUpTo = 11;                                              # 玩家等级达到x级  (num:level,paras:[]) (跳关卡选择)
    const HeroLevelUpTo = 12;                                                   # 唤灵师等级达到x级(num:level,paras:[herotypeid])(hero属性)
    const HeroGradeUpTo = 13;                                                   # 
    const HeroSegmentNumberTo = 14;                                             # 
    const HeroSkillUnlock = 15;                                                 # 
    const HeroWearupWeapon_quality = 16;                                        # 唤灵师装备X品质的武器(num:1,paras:[herotypeId,quality])(装备界面)
    const HeroWearupYanling = 17;                                               # 唤灵师装备xx(id)言灵 (num:1,paras:[herotypeId,yanlingid])(言灵配置界面)
    // -----
    const PassGateN = 21;                                                       # 通过指定剧情关卡(num:1,paras:[关卡id,难度(1,2,3)])(跳关卡选择)
    const passCarbonN = 22;                                                     # 
    const PvPWinNumberTo = 31;
    const PvPScoreTo = 32;
    const UserPowerTo = 33;
    const UserCollectScoreTo = 34;
    // ----------- 每日任务 -------
    const DailyLogin = 101;
    const DailyHeroImprove = 102;
    const DailyGatesWin = 103;
    const DailyPVP = 104;
    const DailyRankChalenge = 105;
    const DailyShopping = 106;
    // ---------  任务卡  --------
    const KillMonster = 201;                                                    # 击杀怪物 (num:数量,paras:[怪物id]) (跳到某个关卡)
    const GainItem = 202;                                                       # 获得道具 (num:数量,paras:[道具id]
    const PlotOver = 203;                                                       # 对话结束 (num:1,paras:[gateid,stage]
    const BuyTaskCard_Num = 204;                                                # 购买任务卡_带数量(num:数量,paras:[]) (跳任务卡商店)
    const FinishTaskCard_noID = 205;                                            # 完成任务_指定id(num:1,paras:[]) (无前往)
    const DrawSysMail_ID = 206;                                                 # 领取系统邮件_指定id(num:1,paras:[邮件id]) (跳邮件界面)

}
